API ReferenceNote
Retrieve note by ID
GET
Retrieve note by ID
apiKeyheader
Authorization<token>Value for the Authorization header parameter.
id*stringNote identifier
Note resource
- response
id?stringFormat
uuidcontent?stringLength
length <= 100000name?stringLength
length <= 100createdAt?stringFormat
date-timeupdatedAt?stringFormat
date-timecreatedBy?|nulldeadline?|Format
date-timecontractor?status?assignedUser?curl -X GET 'https://app.icproject.com/api/instance/demo/crm/notes/string'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "content": "string", "name": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "createdBy": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "firstName": "string", "lastName": "string", "email": "string", "pictureSm": "string", "pictureLg": "string", "isExternal": false, "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7", "contractorName": "string", "canLogIn": false, "phoneNumber": "string", "jobPositionName": "string" }, "deadline": "2019-08-24T14:15:22Z", "contractor": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "fullName": "string", "pictureSm": "string", "pictureLg": "string", "email": "string", "phoneNumber": "string", "defaultLocation": "string", "shortCode": "string", "canManage": false, "vatId": "string", "attendants": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "firstName": "string", "lastName": "string", "email": "string", "pictureSm": "string", "pictureLg": "string" } ], "industryBranches": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string" } ], "tags": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string" } ], "customFields": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "valueId": "b772d050-4ba4-443b-8ca7-cc1e42bdd731", "name": "string", "description": "string", "dataType": "text", "valueText": "string", "valueFloat": "string", "valueDateTime": "2019-08-24T14:15:22Z", "valueSelectOptions": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "value": "string", "weight": 0, "decorator": "#78909c" } ], "valueSelectUsers": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "firstName": "string", "lastName": "string", "email": "string", "pictureSm": "string" } ], "valueDepartment": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string" } } ] }, "status": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "decorator": "#78909c" }, "assignedUser": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "firstName": "string", "lastName": "string", "email": "string", "pictureSm": "string", "pictureLg": "string", "isExternal": false, "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7", "contractorName": "string", "canLogIn": false, "phoneNumber": "string", "jobPositionName": "string" }}